All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.commands
Interface ContentsChangedInterface

All Known Implementing Classes:
  AddFolderCommand, AddFolderCommand, AddRowCommand, AdvancedFilterSelectorCommand, AdvancedFilterSelectorCommandFacade, com.sas.commands.olap.BaseOLAPCommand, BaseSelectorCommand, com.sas.commands.olap.BaseTupleElementCommand, CancelRowInsertCommand, ClearCommand, com.sas.commands.olap.CollapseCommand, CommitInsertedRowCommand, CopyCommand, CopyCommand, CutCommand, CutCommand, DataItemSelectorCommand, DeleteCommand, DeleteCommand, DeleteRowCommand, DisplaySearchResultsCommand, DisplaySearchResultsCommand, com.sas.commands.olap.DrillDownCommand, com.sas.commands.olap.DrillUpCommand, ExceptionHighlightingChartCommand, ExceptionHighlightingCommand, com.sas.commands.olap.ExpandCommand, ExportSelectorCommand, FilterAndRankSelectorCommand, FilterTypeCommand, FindCommand, FindSelectorCommand, FormatSelectorCommand, GoBackCommand, HideColumnCommand, HoldColumnCommand, HoldRowCommand, HttpSearchCommand, InsertRowCommand, MapBaseCommand, MapClearSelectionsCommand, MapCollapseCommand, MapDrillDownCommand, MapDrillUpCommand, MapExpandCommand, MapFilterSelectionsCommand, MapFullExtentsCommand, MapPanCommand, MapPropertyCommand, MapRectangularSelectCommand, MapSelectCommand, MapZoomInCommand, MapZoomOutCommand, MemberPropertiesCommand, OLAPSortSelectorCommand, OLAPTimeBasedFilterCommand, OpenFolderCommand, OpenFolderCommand, PasteCommand, PasteCommand, PasteCommand, PercentCalculationsCommand, RankingCommand, ReleaseAllColumnsCommand, ReleaseAllRowsCommand, ReleaseColumnCommand, ReleaseRowCommand, RenameCommand, RenameCommand, ShowAllColumnsCommand, ShowColumnCommand, ShowColumnHeaderCommand, ShowDetailSelectorCommand, ShowRowHeaderCommand, SimpleCalculatedItemSelectorCommand, SortCommand, SortSelectorCommand, StartSearchCommand, TotalsCommand, UpOneLevelCommand

    public interface ContentsChangedInterface

This interface implemented by commands that can provide specific information about their operation after execution and that need the information fired in the form of an Event.

Since:
  3.0

Method Summary
`abstract java.util.HashMap` | `getEventInfo()` Returns a Map of event keys to event values.
`abstract java.lang.Object` | `getEventSource()` Returns the target of this command which is the implicit source of the Event that will be fired due to the changed state of the target.
`abstract boolean` | `isContentsChanged()` Return a boolean indicating whether the operation carried out during the command's last execution caused the command's target object to change.

Method Detail

### isContentsChanged

    boolean isContentsChanged()

  Return a boolean indicating whether the operation carried out during the command's last execution caused the command's target object to change.

  Returns:
    boolean indicating whether the command's target changed.

### getEventInfo

    java.util.HashMap getEventInfo()

  Returns a Map of event keys to event values.

  The keys and values on the map are dependent on the command and the type of target object that it operates on.

  Returns:
    a Map of event keys to event values.

### getEventSource

    java.lang.Object getEventSource()

  Returns the target of this command which is the implicit source of the Event that will be fired due to the changed state of the target.

  Returns:
    the target Object of this command.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.